using System.Collections;
using System.Collections.Generic;
using UnityEngine;


[System.Serializable]
public class PopulationGroup
{
    public float OriginX;
    public float OriginY;
    public PopulationPass[] Passes;
}

[System.Serializable]
public struct PopulationPass{

    public bool Enabled;

    public GameObject SpawnObject;
    [Range(0, 1)]
    public float NoiseForPlacementMin;
    [Range(0, 1)]
    public float NoiseForPlacementMax;
    [Range(0, 10)]
    public float TileSize;

    [Range(0, 1)]
    public float SpawnChance;
}
